local Nature = ...

Nature:register({
	DataType = "MONUMENT",
	Id = "NATURE_SET",
	Name = "NATURE_NAME",
	Description = "NATURE_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "LIST_STONES_NAME",
	        BuildingPartList = {
				"STONE_TALL1",
				"STONE_TALL2",
				"STONE_TALL3",
				"BOULDER1",
				"BOULDER2",
				"BOULDER3",
				"STONE1",
				"STONE2",
				"STONE3",
				"STONE4",
				"STONE5",
				"STONE6",
				"STONE7"
			}
		},
		{
			Name = "LIST_NATURE_NAME",
			BuildingPartList = {
				"GRASS1",
				"GRASS2",
				"TREE_STUMP",
				"TREE1",
				"TREE2",
				"TREE_DEAD"
			}
		},
		{
			Name = "LIST_WATER_NAME",
			BuildingPartList = {
				"WATER_CIRCLE",
				"WATER_CIRCLE_LARGE",
				"WATER_CIRCLE_LARGE2",
				"WATER_SQUARE",
				"WATER_SQUARE_LARGE",
				"WATER_SQUARE_LARGE2"
			}
		},
		{
			Name = "LIST_GRASS_CLEARING_NAME",
			BuildingPartList = {
				"GRASS_CLEARING_STONE_SMALL",
				"GRASS_CLEARING_STONE",
				"GRASS_CLEARING_STONE_LARGE"
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})